using Quadarax.Foundation.Core.Exceptions;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace qdr.app.bundleboiler.ui.Dialogs
{
    public partial class ErrorMessageDialog : Form
    {
        public ErrorMessageDialog()
        {
            InitializeComponent();
        }

        public ErrorMessageDialog(string caption, Exception e) : this()
        {
            lCaption.Text = caption;
            tbDetail.Text = e.Dump();
        }
        
        private void butClose_Click(object sender, EventArgs e)
        {
            Close();
        }

        private void butCopyClipboard_Click(object sender, EventArgs e)
        {
            Clipboard.SetText(tbDetail.Text);
        }
    }
}
